Welcome to Geeklog, Anonymous Saturday, June 22 2024 @ 02:06 am EDT

Geeklog Forums

error in your SQL syntax


amigo

Anonymous
Hi, I just updated version 1.3.8 sr4 to 1.3.9 sr1. I intalled the filed in their respective plase and edit the lib-common.php file. But when I went to refresh the page it gave me a sql error.

This is what the error log has.

Sun Jul 11 03:13:39 2004 - 1064: You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE is_enabled = 1' at line 1. SQL in question: SELECT fid,type,topic,limits,update_info FROM WHERE is_enabled = 1

Any idea how this can be fix?
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 01/12/02
Posts: 13073
Location:Stuttgart, Germany
Make sure you've replaced the lib-database.php as well: /path/to/geeklog/system/lib-database.php

bye, Dirk
 Quote

amigo

Anonymous
That file was not in the update package. Anyway I did as you told me, and not only that file but replace all the system files with the ones from version 1.3.9 sr 1. Now this is what I get in error.log

Sun Jul 11 23:21:18 2004 - 1146: Table 'hcast.gl_syndication' doesn't exist. SQL in question: SELECT fid,type,topic,limits,update_info FROM gl_syndication WHERE is_enabled = 1
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 01/12/02
Posts: 13073
Location:Stuttgart, Germany
Quote by amigo: That file was not in the update package.

Which tarball did you use to upgrade? When you're coming from 1.3.8, you'll have to use the full 1.3.9sr1 tarball (not the 1.3.9sr1 upgrade, which is only for 1.3.9 installs). And don't forget to run the install script in upgrade mode afterwards.

That will probably solve all your problems ...

bye, Dirk
 Quote

All times are EDT. The time is now 02:06 am.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content